=== plugins/paintops/mypaint/brushes/CMakeLists.txt ===
install (FILES 
c\)_Pencil_1_Sketch_\(mypaint\).myb
c\)_Pencil_1_Sketch_\(mypaint\)_prev.png
c\)_Pencil_2b_\(mypaint\).myb
c\)_Pencil_2b_\(mypaint\)_prev.png
d\)_Ink_pen_\(mypaint\).myb
d\)_Ink_pen_\(mypaint\)_prev.png
e\)_Marker_Medium_\(mypaint\).myb
e\)_Marker_Medium_\(mypaint\)_prev.png
e\)_Marker_Plain_\(mypaint\).myb
e\)_Marker_Plain_\(mypaint\)_prev.png
i\)_Wet_Knife_Plus_\(mypaint\).myb
i\)_Wet_Knife_Plus_\(mypaint\)_prev.png
i\)_Wet_Paint_Plus_\(mypaint\).myb
i\)_Wet_Paint_Plus_\(mypaint\)_prev.png

    DESTINATION ${DATA_INSTALL_DIR}/krita/paintoppresets)
